<HTML>
<HEAD>

<TITLE>HEPiX Startup Scripts - Rubout (26-Jun-1996)</TITLE>
<!-- Changed by: Arnaud Taddei, 27-Jun-1996 -->

</HEAD>
<BODY>

<H1>HEPiX Startup Scripts - Rubout</H1>
<HR>
 <P>
There are many different keyboards available on the site. 
Keyboards are sending signals and unfortunately, as there was no formal 
standard, it exists some clashes on how to interpret this or
that signal. 
 <P>
The signal which is sent to erase a character is called the <TT>RUBOUT</TT> 
sequence. Some keyboards may send <TT>^?</TT> which corresponds to a 
<I>Delete</I> and some keyboards may send <TT>^H</TT> which
corresponds to a <I>BackSpace</I>.
 <P>
Thus the HEPiX shells login scripts provide a environment variable named 
RUBOUT which you can
modify to 2 values : <TT>BackSpace</TT> or <TT>Delete</TT>. 
 <P>
If you want to have a 
<UL>
<LI> <I>Backspace </I><BR>
       you need to create a <TT>$HOME/.BackSpace</TT> file. 

<LI> <I>Delete</I> <BR>
       you need to create a <TT>$HOME/.Delete</TT> file. 
</UL>
 <P>
If both files are present, <I>BackSpace</I> is the default behaviour
 <P>
In order to get a <I>Backspace</I> from the <TT>RUBOUT</TT> sequence enter 
the command: 
<PRE>
       touch $HOME/.BackSpace
</PRE> 
In order to get a <I>Delete</I> from the <TT>RUBOUT</TT> sequence enter 
the command: 
<PRE>
	touch $HOME/.Delete
</PRE>
It will then be valid at the next login. 

<HR>
<ADDRESS> <A Name=Signature HREF="http://xwho.cern.ch/WHO/people/26840">Arnaud Taddei</A>, 27-Jun-1996</ADDRESS>
</BODY>
</HTML>